#include "parsing.h"

xJTextWindow*   XWin;

char            FileName[256];
main            (int ArgCnt,char** ArgVal)
{
  if(ArgCnt<2){ yyin=stdin;strcpy(FileName,"stdin");}
  else
    {
      if(NULL==(yyin=fopen(ArgVal[1],"r")))
	{ cerr<<form("Can't open the file named \"%s\".\n",ArgVal[1]);exit(0);}
      strcpy(FileName,ArgVal[1]);
    }
  XWin = new xJTextWindow
    (1024,640,"White","#4f4f4f","#8f00af","12x24","7x14","kanji24","k14");
  XWin->shadowON();if(XWin->event()!=-1){ yyparse();while(XWin->event()!=-1){}}
}
